<nav class="navbar navbar-expand-md fixed-top">
  <span class="navbar-brand">{{ appTitle }}</span>

  <i class="material-icons action-expand" (click)="menuExpanded = !menuExpanded">dehaze</i>

  <div class="collapse navbar-collapse" [ngClass]="{ show: menuExpanded }" id="menu">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item" *ngFor="let item of menuItems; let i = index" id="{{ item.id || i }}">
        <a
          class="nav-link"
          routerLinkActive="active"
          [routerLink]="[item.route]"
          [routerLinkActiveOptions]="{ exact: item.route === '/main' }"
          (click)="menuExpanded = false"
        >
          {{ item.name }}
        </a>
      </li>
    </ul>
  </div>
</nav>
